# $Revision: 1.20 $, $Date: 2008/07/27 22:39:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	Ispell
Summary:	Lingua::Ispell Perl module
Summary(pl.UTF-8):	Moduł Perla Lingua::Ispell
Name:		perl-Lingua-Ispell
Version:	0.07
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8f6a364daccf28a5c208fa1a3df83daa
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
Requires:	ispell >= 3.1.20-35
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::Ispell - Perl module encapsulating access to the Ispell
program.

%description -l pl.UTF-8
Lingua::Ispell - moduł Perla obudowujący dostęp do programu Ispell.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Lingua/Ispell.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Ispell.spec,v $
Revision 1.20  2008/07/27 22:39:30  arekm
- release 4

Revision 1.19  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:30  paladine
- formatting

Revision 1.16  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:09:22  ankry
- rel. 3

Revision 1.14  2004/05/06 18:20:28  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.12  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.11  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.10  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:25  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/18 23:44:45  qboosh
- pl description

Revision 1.1  2002/09/18 08:37:22  krzak
initial release
